Dashboard
APIUpdate User Invoicing API - Modify Billing | BotSubscription
api.botsubscription.com
GET/v1/endpoint
AuthenticationBearer
Token
Stays in this tab. Required for this endpoint — the value below is what gets sent.
Mock
curl --request GET \
  --url https://api.botsubscription.com/v1/endpoint \
  --header 'Authorization: Bearer sk_live_•••'

Update User Invoicing

Update the invoicing settings for a specific user. This endpoint is for administrators to modify any user's invoicing data.

PATCH/v2/projects/{project_id}/users/{user_id}/invoicing

Authorization

Bearer TokenRequired

Path Parameters

project_idstringrequired

The unique identifier of the project.

user_idstringrequired

The user ID to update invoicing settings for.

Request Body

namestring

Full name for invoicing.

emailstring

Email address for invoicing.

addressstring

Street address.

citystring

City name.

regionstring

State, province, or region.

postalstring

Postal or ZIP code.

countrystring

Country code (e.g., US, GB).

vat_numberstring

VAT registration number (for EU businesses).

Last updated: